#

Function SYMBOLP

Syntax:

symbolp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type symbol; otherwise, returns false.

Examples:

     (symbolp 'elephant) =>  true
     (symbolp 12) =>  false
     (symbolp nil) =>  true
     (symbolp '()) =>  true
     (symbolp :test) =>  true
     (symbolp "hello") =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

keywordp, symbol, typep

Notes:

     (symbolp object) ==  (typep object 'symbol)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.